//Interface for ea - so mods don't have to update often.

public class Player {

    private ea user;

    public Player(ea user) {
        this.user = user;
    }

    public void sendMessage(String message) {
        user.a.msg(message);
    }

    public void giveItem(Item item) {
        int temp = item.getAmount();

        do {
            if (temp - 64 >= 64) {
                user.a(new gp(item.getItemId(), 64));
            } else {
                user.a(new gp(item.getItemId(), temp));
            }
            temp -= 64;
        } while (temp >= 64);
    }

    public void teleportTo(Player player) {
        user.a.a(player.getX(), player.getY(), player.getZ(), player.getRotation(), player.getPitch());
    }

    public void teleportTo(Location location) {
        user.a.a(location.x, location.y, location.z, location.rotX, location.rotY);
    }

    public ea getMCUser() {
        return user;
    }

    public User getUser() {
        return etc.getInstance().getUser(user.aq);
    }

    public String getName() {
        return user.aq;
    }

    public Location getLocation() {
        Location loc = new Location();
        loc.x = getX();
        loc.y = getY();
        loc.z = getZ();
        loc.rotX = getRotation();
        loc.rotY = getPitch();
        return loc;
    }

    public double getX() {
        return user.l;
    }

    public double getY() {
        return user.m;
    }

    public double getZ() {
        return user.n;
    }

    public float getPitch() {
        return user.s;
    }

    public float getRotation() {
        return user.r;
    }
}
